<%(%FORWARDED_PROTO == "https" || "1" == "1")
	/* Get newad settings from API */
	<%|varblock|
		<%(?category)
			<%|define("cat")|%category%>
		::(?cg)
			<%|define("cat")|%cg%>
		::(?ad_id)
			<%|varblock|
				<%|define("api_content")|apitemplates/view.json%>
				&include("mobile/vars/vars.html")
				<%|json_vtree(%response, "ad_cat")|
					<%|define_global("cat")|$(ad_cat.category)%>
					<%|define_global("type")|$(ad_cat.type)%>
				%>
			%>
		%>
		/* Load category params */
		<%|define("has_store")|1%>
		<%|define("api_content")|apitemplates/category_params.json%>
		<%|define("app")|newad%>
		&include("mobile/vars/vars.html")
		<%|define_global("newad_settings")|%response%>

	%>
	/* Load category list */
  	<%|varblock|
		<%|define("api_content")|apitemplates/categories.json%>
		<%|define("app")|categories%>
		&include("mobile/vars/vars.html")
		<%|define_global("category_list")|%response%>
	%>
	<%|varblock|
		<%|define("api_content")|apitemplates/areas.json%>
		&include("mobile/vars/vars.html")
		<%|define_global("regions_list")|%response%>
	%>

	<%(%mv == "1")
		&clear_cookie("nomob")
	%>

	/* Check if there is an action to perform */
	<%(?action)
		/* Start new newad session, clear old session data */
		<%(%action == "new")
			<%|varblock|
				<%(&has_cookie("session_id") == "1")
					<%|define("token_regex")|\(<%<%(@@# > 0)\|%>$(common.redis.host.*)%>)$(common.session.id_separator)[0-9a-f]{0,55}$(mypages.session.id.suffix)%>
					<%|define("account_token")|&get_cookie("session_id", %token_regex)%>	
					<%(%account_token != "")
						<%|varblock|
							<%|define("api_content")|apitemplates/mypages/account_info.json%>
							&include("mobile/vars/vars.html")
							<%|json_vtree(%response, "info")|
								<%($(info.*) != "region")
									<%($(info.@) != "")<%|define_global(&concat("sess_set_", $$(info.*)))|$$$(info.@)%>%>
								%>
								<%($(info.account_id) != "")<%|define_global("sess_set_has_account")|1%>::<%|define_global("sess_set_has_account")|0%>%>
								<%($(info.region) != "")<%|define_global("sess_set_region")|&concat($(info.region), "_", %sess_set_munic, "_", %sess_set_subarea)%>%>
								<%($(info.account_id) != "")<%|define_global("sess_set_has_account")|1%>::<%|define_global("sess_set_has_account")|0%>%>
							%>
						%>
					%>
				%>
				<%|define("sess_clear")|1%>
				&include("mobile/vars/session_handler.html")
			%>
		/* Set sess_category and sess_type values as supplied in \%cg and \%type prior to default handling */
		::(%action == "set_cg")
			<%|varblock|
				<%|define("sess_set_category")|%cg%>
				<%|define("sess_set_type")|s%>
				&include("mobile/vars/session_handler.html")
			%>
		/* Set sess_region value as supplied in \%caller prior to default handling */
		::(%action == "set_ca")
			<%|varblock|
				<%|define("sess_set_region")|%caller%>
				&include("mobile/vars/session_handler.html")
			%>
		/* Other actions: edit_ad, renew_ad, validate_ad, insert_ad */
		::
			<%|varblock|
				<%(&has_cookie("session_id") == "1")
					<%|define("token_regex")|\(<%<%(@@# > 0)\|%>$(common.redis.host.*)%>)$(common.session.id_separator)[0-9a-f]{0,55}$(mypages.session.id.suffix)%>
					<%|define("account_token")|&get_cookie("session_id", %token_regex)%>   
					<%(%account_token != "")
						<%|varblock|
							<%|define("api_content")|apitemplates/mypages/account_info.json%>
							&include("mobile/vars/vars.html")
							<%|json_vtree(%response, "info")|
								<%($(info.account_id) != "")<%|define_global("sess_set_has_account")|1%>::<%|define_global("sess_set_has_account")|0%>%>
							%>
						%>
					%>
				%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.company_ad) != "1")<%|define("sess_set_company_ad")|%company_ad%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.store) != "1")<%|define("sess_set_store")|%store%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.passwd) != "1")<%|define("sess_set_passwd")|%passwd%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew|validate)_ad"]))<%|define("sess_set_action")|%action%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.ad_id) != "1")<%|define("sess_set_ad_id")|%ad_id%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.name) != "1")<%|define("sess_set_name")|%name%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.email) != "1")<%|define("sess_set_email")|%email%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.phone) != "1")<%|define("sess_set_phone")|%phone%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.phone_hidden) != "1")<%|define("sess_set_phone_hidden")|%phone_hidden%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.no_salesmen) != "1")<%|define("sess_set_no_salesmen")|%no_salesmen%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.region) != "1")<%|define("sess_set_region")|%region%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.zipcode) != "1")<%|define("sess_set_zipcode")|%zipcode%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.category) != "1")<%|define("sess_set_category")|%category%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.type) != "1")<%|define("sess_set_type")|%type%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.subject) != "1")<%|define("sess_set_subject")|%subject%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.body) != "1")<%|define("sess_set_body")|%body%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.price) != "1")<%|define("sess_set_price")|%price%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.image) != "1")<%|define("sess_set_image_id")|<%%[%%image_id*]_%>%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.regdate) != "1")<%|define("sess_set_regdate")|%regdate%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.fuel) != "1")<%|define("sess_set_fuel")|%fuel%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.gearbox) != "1")<%|define("sess_set_gearbox")|%gearbox%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.licenseplate) != "1")<%|define("sess_set_licenseplate")|%licenseplate%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.no_licenseplate) != "1")<%|define("sess_set_no_licenseplate")|%no_licenseplate%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.mileage) != "1")<%|define("sess_set_mileage")|%mileage%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.new_mileage) != "1")<%|define("sess_set_new_mileage")|%new_mileage%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.size) != "1")<%|define("sess_set_size")|%size%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.rooms) != "1")<%|define("sess_set_rooms")|%rooms%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.address) != "1")<%|define("sess_set_address")|%address%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.monthly_rent) != "1")<%|define("sess_set_monthly_rent")|%monthly_rent%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.broker) != "1")<%|define("sess_set_broker")|%broker%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.max_rent) != "1")<%|define("sess_set_max_rent")|%max_rent%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.apartment_type) != "1")<%|define("sess_set_apartment_type")|%apartment_type%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.beds) != "1")<%|define("sess_set_beds")|%beds%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.weekly_rent_peakseason) != "1")<%|define("sess_set_weekly_rent_peakseason")|%weekly_rent_peakseason%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.weekly_rent_offseason) != "1")<%|define("sess_set_weekly_rent_offseason")|%weekly_rent_offseason%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.available_weeks_peakseason) != "1")<%|define("sess_set_available_weeks_peakseason")|%available_weeks_peakseason%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.available_weeks_offseason) != "1")<%|define("sess_set_available_weeks_offseason")|%available_weeks_offseason%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.available_weeks) != "1")<%|define("sess_set_available_weeks")|%available_weeks%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.boat_length_meters) != "1")<%|define("sess_set_boat_length_meters")|%boat_length_meters%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.boat_length_feet) != "1")<%|define("sess_set_boat_length_feet")|%boat_length_feet%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.certified) != "1")<%|define("sess_set_certified")|%certified%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.country) != "1")<%|define("sess_set_country")|%country%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.expires) != "1")<%|define("sess_set_expires")|%expires%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.yearly_rent) != "1")<%|define("sess_set_yearly_rent")|%yearly_rent%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.package_price) != "1")<%|define("sess_set_package_price")|%package_price%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.infopage) != "1")<%|define("sess_set_infopage")|%infopage%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.infopage_title) != "1")<%|define("sess_set_infopage_title")|%infopage_title%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.hide_address) != "1")<%|define("sess_set_hide_address")|%hide_address%>%>
				<%(?from_edit || (%action ! =~ R["(edit|renew)_ad"]) || $(api.ad_params.not_editable.gallery) != "1")<%|define("sess_set_gallery")|%gallery%>%>

				<%|define("clothing_max_items")|<%|json_vtree(%newad_settings, "newad_settings")|<%($(newad_settings.%b__lang.0.categories.0.types.@.id) == %type)$(newad_settings.%b__lang.0.categories.0.types.@.newad.max_items)%>%>%>

				<%(@# < %clothing_max_items+0 && (%category == "4020" || %category == "4080"))
					&eat(&concat(%[%clothing_sex*], %[%clothing_kind*], %[%clothing_size*], %[%item_desc*], %[%item_price*]))
					<%
						<%|define(&concat("sess_set_clothing_sex", @@#))|%[&concat("clothing_sex", @@@#)]%>
						<%|define(&concat("sess_set_clothing_kind", @@#))|%[&concat("clothing_kind", @@@#)]%>
						<%|define(&concat("sess_set_clothing_size", @@#))|%[&concat("clothing_size", @@@#)]%>
						<%|define(&concat("sess_set_item_desc", @@#))|%[&concat("item_desc", @@@#)]%>
						<%|define(&concat("sess_set_item_price", @@#))|%[&concat("item_price", @@@#)]%>
						<%|define("num_garments")|@@@#%>
					%>
				%>
				<%(#@num_garments < %clothing_max_items+0 && (%category == "4020" || %category == "4080"))
					&define_list("garments_to_remove", #@num_garments, %clothing_max_items-1)
					<%
						<%|define(&concat("sess_del_clothing_sex", @garments_to_remove))|1%>
						<%|define(&concat("sess_del_clothing_kind", @garments_to_remove))|1%>
						<%|define(&concat("sess_del_clothing_size", @garments_to_remove))|1%>
						<%|define(&concat("sess_del_item_desc", @garments_to_remove))|1%>
						<%|define(&concat("sess_del_item_price", @garments_to_remove))|1%>
					%>
				%>
				&include("mobile/vars/session_handler.html")
			%>
		%>
		/* POST data with desired action to api-newad. Resulting json string is stored in \%newad_response */
		<%((%action == "validate_ad" || %action == "insert_ad" || %action == "edit_ad" || %action == "renew_ad") && !?redirect_url)
			&include("mobile/smartphone/include/newad_http_post.html")
		%>
	%>
	<%|json_vtree(%newad_settings, "newad_settings")|
		<%|define("ad_renew_price")|<%($(newad_settings.%b__lang.0.categories.0.subcategories.#) > "0")$(newad_settings.%b__lang.0.categories.0.subcategories.0.price)::$(newad_settings.%b__lang.0.categories.0.price)%>%>
	%>

	/* Include session_handler to perform session actions as defined in \%sess_-variables and fetch session variable values */
	<%&include("mobile/vars/session_handler.html")%>

	/* Handle redirects to other helper-templates (only set \%redirect_url, actual redirect to supplied url is performed in general_smartphone master template */
	<%(%action == "select_ca")
		<%|define("redirect_url")|$(common.base_url.mobile)/regions.html?callback=newad&company_ad=<%(%sess_company_ad != "")%sess_company_ad::0%><%(%sess_region != "")&old_ca=%sess_region%><%(%sess_category != "")&cg=%sess_category%>%>
	::(%action == "select_cg")
		<%|define("redirect_url")|$(common.base_url.mobile)/categories.html?callback=newad<%(%sess_category != "")&old_cg=%sess_category&company_ad=<%(%sess_company_ad != "")%sess_company_ad::0%>%>%>
	%>

	/* Handle areas */
	<%|define_split("areas", "_")|%sess_region%>
	<%(#@areas > 2)
		<%|define("newad_subsubarea")|$(common.region.%areas[0].municipality.%areas[1].subarea.%areas[2].name.%b__lang)%>
	%>
	<%(#@areas > 1)
		<%|define("newad_subarea")|$(common.region.%areas[0].municipality.%areas[1].name.%b__lang)%>
	%>
	<%|define("newad_area")|$(common.region.%areas[0].name.%b__lang)%>
::
	<%|define("redirect_url")|$(common.base_url.mobile)%>
%>
